Xerces-J API: Class UTF8DataChunk

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.xerces.utils
Class UTF8DataChunk

    java.lang.Object
      |
      +--org.apache.xerces.utils.UTF8DataChunk

public class UTF8DataChunk
extends java.lang.Object
implements StringPool.StringProducer

Field Summary
`static int` | `CHUNK_MASK`
`static int` | `CHUNK_SHIFT`
`static int` | `CHUNK_SIZE`

Method Summary
`int` | `addString(int offset, int length)`
`int` | `addSymbol(int offset, int length, int hashcode)`
`void` | `append(XMLEntityHandler.CharBuffer charBuffer, int offset, int length)`
`boolean` | `clearPreviousChunk()`
`static UTF8DataChunk` | `createChunk(StringPool stringPool, UTF8DataChunk prev)`
`boolean` | `equalsString(int offset, int length, char[] strChars, int strOffset, int strLength)`
`UTF8DataChunk` | `nextChunk()`
`void` | `releaseChunk()`
`void` | `releaseString(int offset, int length)`
`void` | `setByteArray(byte[] data)`
`byte[]` | `toByteArray()`
`java.lang.String` | `toString(int offset, int length)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CHUNK_SHIFT

    public static final int CHUNK_SHIFT

### CHUNK_SIZE

    public static final int CHUNK_SIZE

### CHUNK_MASK

    public static final int CHUNK_MASK

Method Detail

### createChunk

    public static UTF8DataChunk createChunk(StringPool stringPool,
                                            UTF8DataChunk prev)

### toByteArray

    public final byte[] toByteArray()

### setByteArray

    public void setByteArray(byte[] data)

### nextChunk

    public UTF8DataChunk nextChunk()

### clearPreviousChunk

    public boolean clearPreviousChunk()

### releaseChunk

    public void releaseChunk()

### releaseString

    public void releaseString(int offset,
                              int length)

  Specified by:
    releaseString in interface StringPool.StringProducer

### toString

    public java.lang.String toString(int offset,
                                     int length)

  Specified by:
    toString in interface StringPool.StringProducer

### equalsString

    public boolean equalsString(int offset,
                                int length,
                                char[] strChars,
                                int strOffset,
                                int strLength)

  Specified by:
    equalsString in interface StringPool.StringProducer

### addString

    public int addString(int offset,
                         int length)

### addSymbol

    public int addSymbol(int offset,
                         int length,
                         int hashcode)

### append

    public void append(XMLEntityHandler.CharBuffer charBuffer,
                       int offset,
                       int length)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache XML Project. All Rights Reserved.